
Часто в работе возникает необходимость обновить MacOS на следующую версию. Скачивать каждый раз с интернета долго. Поэтому ускорим процесс и сделаем себе USB флешку с образом установки.

Важно отметить, что вам не нужно создавать установщик USB для установки macOS. Вы можете использовать App Store для нужной версии системы:

-   [Monterey 12.x](https://apps.apple.com/us/app/macos-monterey/id1576738294?mt=12)
-   [Big Sur 11.x](https://apps.apple.com/ru/app/macos-big-sur/id1526878132?mt=12)
-   [Catalina 10.x](https://apps.apple.com/ru/app/macos-catalina/id1466841314?mt=12)

## Выбор USB-накопителя

Прежде чем следовать этому руководству, вам необходимо убедиться, что у вас есть доступ к USB-накопителю, который может служить местом установки.

Как правило, USB-флеш-накопитель будет работать, если на нем есть не менее 16 ГБ памяти.

## Создание загрузочного установочного USB-накопителя macOS

1.  Запустите **Mac App Store** и загрузите нужную ОС. Список с ссылками выше. Для примера будет использовать последнюю ОС - Monterey.
2.  После завершения загрузки macOS автоматически запустится программа установки. Закройте программу установки через строку меню или с помощью ⌘+Q.
3.  Подключите USB-накопитель, откройте его в **Finder** и убедитесь, что на нем нет ничего нужного. Если есть, важно сделать резервную копию любых данных на диске, которые вам нужны, потому что выполнение этих шагов приведет к очистке содержимого диска. ! Примечание. В этом руководстве нельзя использовать диски в формате APFS. Если диск отформатирован как APFS или вы не уверены, откройте Дисковую утилиту, выберите диск и нажмите «Стереть». Для формата обязательно выберите _Mac OS Extended (Journaled)_ и нажмите «Стереть».
4.  Откройте **Finder** → Приложения. Щелкните правой кнопкой мыши « _Установить macOS Monterey_ » → « **Показать содержимое пакета»** .  
    ![](https://st1t.ru/wp-content/uploads/2022/12/ri0oyskj-1024x657.png)
5.  Откройте Содержание → Ресурсы.  
    ![](https://st1t.ru/wp-content/uploads/2022/12/38egrg4j-1024x543.png)
6.  Откройте новое окно Терминала, выбрав Приложения → Утилиты → Терминал.
7.  Введите `**sudo**` , а затем пробел в окне терминала.
8.  Перетащите **createinstallmedia** в окно терминала из папки «Ресурсы», открытой на шаге 5.  
    ![](https://st1t.ru/wp-content/uploads/2022/12/bx2bs4ok-1024x677.png)
9.  Введите `**--volume**` , а затем пробел.  
    ![](https://st1t.ru/wp-content/uploads/2022/12/cgi471gt-1024x677.png)
10.  Откройте Finder → Перейти → Перейти в папку…
11.  Введите **/Volumes** и нажмите клавишу «Return».
12.  Перетащите иконку USB-накопителя в окно терминала.  
    ![](https://st1t.ru/wp-content/uploads/2022/12/6lmebw5u-1024x365.png)**  
    Примечание.** Обязательно выберите правильный USB-накопитель, иначе вы рискуете повредить не тот диск.
13.  Нажмите клавишу « _Return_ » на клавиатуре, чтобы обработать полную команду терминала, и введите пароль администратора при появлении запроса.
14.  При появлении запроса введите «y» и нажмите клавишу « _Return_ » на клавиатуре.  
    ![](https://st1t.ru/wp-content/uploads/2022/12/ww7kegd1-1024x676.png)
15.  Если вы еще не предоставили разрешение, утилита терминала может запросить доступ к файлам на съемном томе. Если это так, не забудьте нажать OK, чтобы разрешить доступ.
16.  Процесс установки начнется с очистки содержимого подключенного USB-накопителя, создания загрузочного диска и копирования файлов установщика на диск. Поскольку этот процесс занимает несколько минут, наберитесь терпения.  
    ![](https://st1t.ru/wp-content/uploads/2022/12/ifsdjj2f-1024x678.png)

## Использование установщика macOS Monterey USB

Чтобы использовать установщик на Mac с Apple Silicon, выключите Mac, подключите диск, нажмите и удерживайте кнопку питания, пока не увидите логотип Apple со словами _Загрузка параметров запуска_ внизу. Через некоторое время вы должны увидеть, что «Установить macOS Monterey» появится в качестве параметра запуска.

Для компьютеров Mac с процессором Intel подключите установочный USB-накопитель и нажмите и удерживайте клавишу **Option** после перезагрузки компьютера, пока не появится селектор запуска.

При установке macOS в вашем распоряжении будет несколько вариантов, например:

1.  Обновление существующей установки macOS, переход с macOS Big Sur или предыдущих версий macOS на macOS Monterey.
2.  Удаление существующей установки и запуск с нуля.